use lox_cli::networking::*;
use lox_library::IssuerPubKey;

pub struct State {
    pub la_pubkeys: Vec<IssuerPubKey>,
    pub la_net: HyperNet,
    pub tp_net: HyperNet,
    // Probability that a connection randomly fails, even though censor
    // does not block the bridge
    pub prob_connection_fails: f64,
    // Probability that if Alice invites Bob, Alice and Bob are in the same
    // country. This is in *addition* to the regular probability that Bob is in
    // that country by random selection.
    pub prob_friend_in_same_country: f64,
    pub prob_user_invites_friend: f64,
    pub prob_user_is_censor: f64,
    pub prob_user_submits_reports: f64,
    pub probs_user_in_country: Vec<(String, f64)>,
    // Do the censors talk to each other?
    pub sharing: bool,
}
